version: '3.8'

services:
  mengyaprofile-backend:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: mengyaprofile-backend
    restart: unless-stopped
    ports:
      - "1616:5000"
    volumes:
      - /shumengya/docker/mengyaprofile-backend/data:/app/data
    environment:
      - RUN_MODE=production
      - DATA_DIR=/app/data
    networks:
      - mengyaprofile-network

networks:
  mengyaprofile-network:
    driver: bridge
